/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ApplySecurityGroupsToLoadBalancerInput } from "../types/ApplySecurityGroupsToLoadBalancerInput";
import { ApplySecurityGroupsToLoadBalancerOutput } from "../types/ApplySecurityGroupsToLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/ApplySecurityGroupsToLoadBalancerInput";
export * from "../types/ApplySecurityGroupsToLoadBalancerOutput";
export * from "../types/ApplySecurityGroupsToLoadBalancerExceptionsUnion";
export declare class ApplySecurityGroupsToLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, ApplySecurityGroupsToLoadBalancerInput, OutputTypesUnion, ApplySecurityGroupsToLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: ApplySecurityGroupsToLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ApplySecurityGroupsToLoadBalancerInput, ApplySecurityGroupsToLoadBalancerOutput, _stream.Readable>;
    constructor(input: ApplySecurityGroupsToLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<ApplySecurityGroupsToLoadBalancerInput, ApplySecurityGroupsToLoadBalancerOutput>;
}
