/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AttachLoadBalancerToSubnetsInput } from "../types/AttachLoadBalancerToSubnetsInput";
import { AttachLoadBalancerToSubnetsOutput } from "../types/AttachLoadBalancerToSubnetsOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/AttachLoadBalancerToSubnetsInput";
export * from "../types/AttachLoadBalancerToSubnetsOutput";
export * from "../types/AttachLoadBalancerToSubnetsExceptionsUnion";
export declare class AttachLoadBalancerToSubnetsCommand implements __aws_sdk_types.Command<InputTypesUnion, AttachLoadBalancerToSubnetsInput, OutputTypesUnion, AttachLoadBalancerToSubnetsOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: AttachLoadBalancerToSubnetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AttachLoadBalancerToSubnetsInput, AttachLoadBalancerToSubnetsOutput, _stream.Readable>;
    constructor(input: AttachLoadBalancerToSubnetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<AttachLoadBalancerToSubnetsInput, AttachLoadBalancerToSubnetsOutput>;
}
