/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLoadBalancerListenersInput } from "../types/DeleteLoadBalancerListenersInput";
import { DeleteLoadBalancerListenersOutput } from "../types/DeleteLoadBalancerListenersOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DeleteLoadBalancerListenersInput";
export * from "../types/DeleteLoadBalancerListenersOutput";
export * from "../types/DeleteLoadBalancerListenersExceptionsUnion";
export declare class DeleteLoadBalancerListenersCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLoadBalancerListenersInput, OutputTypesUnion, DeleteLoadBalancerListenersOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteLoadBalancerListenersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLoadBalancerListenersInput, DeleteLoadBalancerListenersOutput, _stream.Readable>;
    constructor(input: DeleteLoadBalancerListenersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DeleteLoadBalancerListenersInput, DeleteLoadBalancerListenersOutput>;
}
