"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeAccountLimits_1 = require("../model/operations/DescribeAccountLimits");
var DescribeAccountLimitsCommand = /** @class */ (function () {
    function DescribeAccountLimitsCommand(input) {
        this.input = input;
        this.model = DescribeAccountLimits_1.DescribeAccountLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeAccountLimitsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeAccountLimitsCommand;
}());
exports.DescribeAccountLimitsCommand = DescribeAccountLimitsCommand;
//# sourceMappingURL=DescribeAccountLimitsCommand.js.map