"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLoadBalancerPolicyTypes_1 = require("../model/operations/DescribeLoadBalancerPolicyTypes");
var DescribeLoadBalancerPolicyTypesCommand = /** @class */ (function () {
    function DescribeLoadBalancerPolicyTypesCommand(input) {
        this.input = input;
        this.model = DescribeLoadBalancerPolicyTypes_1.DescribeLoadBalancerPolicyTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLoadBalancerPolicyTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLoadBalancerPolicyTypesCommand;
}());
exports.DescribeLoadBalancerPolicyTypesCommand = DescribeLoadBalancerPolicyTypesCommand;
//# sourceMappingURL=DescribeLoadBalancerPolicyTypesCommand.js.map