"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DetachLoadBalancerFromSubnets_1 = require("../model/operations/DetachLoadBalancerFromSubnets");
var DetachLoadBalancerFromSubnetsCommand = /** @class */ (function () {
    function DetachLoadBalancerFromSubnetsCommand(input) {
        this.input = input;
        this.model = DetachLoadBalancerFromSubnets_1.DetachLoadBalancerFromSubnets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DetachLoadBalancerFromSubnetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DetachLoadBalancerFromSubnetsCommand;
}());
exports.DetachLoadBalancerFromSubnetsCommand = DetachLoadBalancerFromSubnetsCommand;
//# sourceMappingURL=DetachLoadBalancerFromSubnetsCommand.js.map