/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisableAvailabilityZonesForLoadBalancerInput } from "../types/DisableAvailabilityZonesForLoadBalancerInput";
import { DisableAvailabilityZonesForLoadBalancerOutput } from "../types/DisableAvailabilityZonesForLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DisableAvailabilityZonesForLoadBalancerInput";
export * from "../types/DisableAvailabilityZonesForLoadBalancerOutput";
export * from "../types/DisableAvailabilityZonesForLoadBalancerExceptionsUnion";
export declare class DisableAvailabilityZonesForLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, DisableAvailabilityZonesForLoadBalancerInput, OutputTypesUnion, DisableAvailabilityZonesForLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DisableAvailabilityZonesForLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisableAvailabilityZonesForLoadBalancerInput, DisableAvailabilityZonesForLoadBalancerOutput, _stream.Readable>;
    constructor(input: DisableAvailabilityZonesForLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DisableAvailabilityZonesForLoadBalancerInput, DisableAvailabilityZonesForLoadBalancerOutput>;
}
