"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyLoadBalancerAttributes_1 = require("../model/operations/ModifyLoadBalancerAttributes");
var ModifyLoadBalancerAttributesCommand = /** @class */ (function () {
    function ModifyLoadBalancerAttributesCommand(input) {
        this.input = input;
        this.model = ModifyLoadBalancerAttributes_1.ModifyLoadBalancerAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyLoadBalancerAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyLoadBalancerAttributesCommand;
}());
exports.ModifyLoadBalancerAttributesCommand = ModifyLoadBalancerAttributesCommand;
//# sourceMappingURL=ModifyLoadBalancerAttributesCommand.js.map