/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RemoveTagsInput } from "../types/RemoveTagsInput";
import { RemoveTagsOutput } from "../types/RemoveTagsOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/RemoveTagsInput";
export * from "../types/RemoveTagsOutput";
export * from "../types/RemoveTagsExceptionsUnion";
export declare class RemoveTagsCommand implements __aws_sdk_types.Command<InputTypesUnion, RemoveTagsInput, OutputTypesUnion, RemoveTagsOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: RemoveTagsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RemoveTagsInput, RemoveTagsOutput, _stream.Readable>;
    constructor(input: RemoveTagsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<RemoveTagsInput, RemoveTagsOutput>;
}
