"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApplySecurityGroupsToLoadBalancerInput_1 = require("../shapes/ApplySecurityGroupsToLoadBalancerInput");
var ApplySecurityGroupsToLoadBalancerOutput_1 = require("../shapes/ApplySecurityGroupsToLoadBalancerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var InvalidSecurityGroupException_1 = require("../shapes/InvalidSecurityGroupException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ApplySecurityGroupsToLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ApplySecurityGroupsToLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ApplySecurityGroupsToLoadBalancerInput_1.ApplySecurityGroupsToLoadBalancerInput
    },
    output: {
        shape: ApplySecurityGroupsToLoadBalancerOutput_1.ApplySecurityGroupsToLoadBalancerOutput,
        resultWrapper: "ApplySecurityGroupsToLoadBalancerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: InvalidSecurityGroupException_1.InvalidSecurityGroupException
        }
    ]
};
//# sourceMappingURL=ApplySecurityGroupsToLoadBalancer.js.map