"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AttachLoadBalancerToSubnetsInput_1 = require("../shapes/AttachLoadBalancerToSubnetsInput");
var AttachLoadBalancerToSubnetsOutput_1 = require("../shapes/AttachLoadBalancerToSubnetsOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var SubnetNotFoundException_1 = require("../shapes/SubnetNotFoundException");
var InvalidSubnetException_1 = require("../shapes/InvalidSubnetException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AttachLoadBalancerToSubnets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AttachLoadBalancerToSubnets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AttachLoadBalancerToSubnetsInput_1.AttachLoadBalancerToSubnetsInput
    },
    output: {
        shape: AttachLoadBalancerToSubnetsOutput_1.AttachLoadBalancerToSubnetsOutput,
        resultWrapper: "AttachLoadBalancerToSubnetsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: SubnetNotFoundException_1.SubnetNotFoundException
        },
        {
            shape: InvalidSubnetException_1.InvalidSubnetException
        }
    ]
};
//# sourceMappingURL=AttachLoadBalancerToSubnets.js.map