"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLBCookieStickinessPolicyInput_1 = require("../shapes/CreateLBCookieStickinessPolicyInput");
var CreateLBCookieStickinessPolicyOutput_1 = require("../shapes/CreateLBCookieStickinessPolicyOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var DuplicatePolicyNameException_1 = require("../shapes/DuplicatePolicyNameException");
var TooManyPoliciesException_1 = require("../shapes/TooManyPoliciesException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLBCookieStickinessPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLBCookieStickinessPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLBCookieStickinessPolicyInput_1.CreateLBCookieStickinessPolicyInput
    },
    output: {
        shape: CreateLBCookieStickinessPolicyOutput_1.CreateLBCookieStickinessPolicyOutput,
        resultWrapper: "CreateLBCookieStickinessPolicyResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: DuplicatePolicyNameException_1.DuplicatePolicyNameException
        },
        {
            shape: TooManyPoliciesException_1.TooManyPoliciesException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=CreateLBCookieStickinessPolicy.js.map