"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteLoadBalancerPolicyInput_1 = require("../shapes/DeleteLoadBalancerPolicyInput");
var DeleteLoadBalancerPolicyOutput_1 = require("../shapes/DeleteLoadBalancerPolicyOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLoadBalancerPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLoadBalancerPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLoadBalancerPolicyInput_1.DeleteLoadBalancerPolicyInput
    },
    output: {
        shape: DeleteLoadBalancerPolicyOutput_1.DeleteLoadBalancerPolicyOutput,
        resultWrapper: "DeleteLoadBalancerPolicyResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=DeleteLoadBalancerPolicy.js.map