"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLoadBalancerAttributesInput_1 = require("../shapes/DescribeLoadBalancerAttributesInput");
var DescribeLoadBalancerAttributesOutput_1 = require("../shapes/DescribeLoadBalancerAttributesOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var LoadBalancerAttributeNotFoundException_1 = require("../shapes/LoadBalancerAttributeNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLoadBalancerAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLoadBalancerAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLoadBalancerAttributesInput_1.DescribeLoadBalancerAttributesInput
    },
    output: {
        shape: DescribeLoadBalancerAttributesOutput_1.DescribeLoadBalancerAttributesOutput,
        resultWrapper: "DescribeLoadBalancerAttributesResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: LoadBalancerAttributeNotFoundException_1.LoadBalancerAttributeNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeLoadBalancerAttributes.js.map