"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLoadBalancerPoliciesInput_1 = require("../shapes/DescribeLoadBalancerPoliciesInput");
var DescribeLoadBalancerPoliciesOutput_1 = require("../shapes/DescribeLoadBalancerPoliciesOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var PolicyNotFoundException_1 = require("../shapes/PolicyNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLoadBalancerPolicies = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLoadBalancerPolicies",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLoadBalancerPoliciesInput_1.DescribeLoadBalancerPoliciesInput
    },
    output: {
        shape: DescribeLoadBalancerPoliciesOutput_1.DescribeLoadBalancerPoliciesOutput,
        resultWrapper: "DescribeLoadBalancerPoliciesResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: PolicyNotFoundException_1.PolicyNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeLoadBalancerPolicies.js.map