"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLoadBalancersInput_1 = require("../shapes/DescribeLoadBalancersInput");
var DescribeLoadBalancersOutput_1 = require("../shapes/DescribeLoadBalancersOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var DependencyThrottleException_1 = require("../shapes/DependencyThrottleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLoadBalancers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLoadBalancers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLoadBalancersInput_1.DescribeLoadBalancersInput
    },
    output: {
        shape: DescribeLoadBalancersOutput_1.DescribeLoadBalancersOutput,
        resultWrapper: "DescribeLoadBalancersResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: DependencyThrottleException_1.DependencyThrottleException
        }
    ]
};
//# sourceMappingURL=DescribeLoadBalancers.js.map