"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTagsInput_1 = require("../shapes/DescribeTagsInput");
var DescribeTagsOutput_1 = require("../shapes/DescribeTagsOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTagsInput_1.DescribeTagsInput
    },
    output: {
        shape: DescribeTagsOutput_1.DescribeTagsOutput,
        resultWrapper: "DescribeTagsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeTags.js.map