"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DetachLoadBalancerFromSubnetsInput_1 = require("../shapes/DetachLoadBalancerFromSubnetsInput");
var DetachLoadBalancerFromSubnetsOutput_1 = require("../shapes/DetachLoadBalancerFromSubnetsOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DetachLoadBalancerFromSubnets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DetachLoadBalancerFromSubnets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DetachLoadBalancerFromSubnetsInput_1.DetachLoadBalancerFromSubnetsInput
    },
    output: {
        shape: DetachLoadBalancerFromSubnetsOutput_1.DetachLoadBalancerFromSubnetsOutput,
        resultWrapper: "DetachLoadBalancerFromSubnetsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=DetachLoadBalancerFromSubnets.js.map