"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableAvailabilityZonesForLoadBalancerInput_1 = require("../shapes/DisableAvailabilityZonesForLoadBalancerInput");
var DisableAvailabilityZonesForLoadBalancerOutput_1 = require("../shapes/DisableAvailabilityZonesForLoadBalancerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableAvailabilityZonesForLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableAvailabilityZonesForLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableAvailabilityZonesForLoadBalancerInput_1.DisableAvailabilityZonesForLoadBalancerInput
    },
    output: {
        shape: DisableAvailabilityZonesForLoadBalancerOutput_1.DisableAvailabilityZonesForLoadBalancerOutput,
        resultWrapper: "DisableAvailabilityZonesForLoadBalancerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=DisableAvailabilityZonesForLoadBalancer.js.map