"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyLoadBalancerAttributesInput_1 = require("../shapes/ModifyLoadBalancerAttributesInput");
var ModifyLoadBalancerAttributesOutput_1 = require("../shapes/ModifyLoadBalancerAttributesOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var LoadBalancerAttributeNotFoundException_1 = require("../shapes/LoadBalancerAttributeNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyLoadBalancerAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyLoadBalancerAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyLoadBalancerAttributesInput_1.ModifyLoadBalancerAttributesInput
    },
    output: {
        shape: ModifyLoadBalancerAttributesOutput_1.ModifyLoadBalancerAttributesOutput,
        resultWrapper: "ModifyLoadBalancerAttributesResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: LoadBalancerAttributeNotFoundException_1.LoadBalancerAttributeNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=ModifyLoadBalancerAttributes.js.map