"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterInstancesWithLoadBalancerInput_1 = require("../shapes/RegisterInstancesWithLoadBalancerInput");
var RegisterInstancesWithLoadBalancerOutput_1 = require("../shapes/RegisterInstancesWithLoadBalancerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidEndPointException_1 = require("../shapes/InvalidEndPointException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterInstancesWithLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterInstancesWithLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterInstancesWithLoadBalancerInput_1.RegisterInstancesWithLoadBalancerInput
    },
    output: {
        shape: RegisterInstancesWithLoadBalancerOutput_1.RegisterInstancesWithLoadBalancerOutput,
        resultWrapper: "RegisterInstancesWithLoadBalancerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidEndPointException_1.InvalidEndPointException
        }
    ]
};
//# sourceMappingURL=RegisterInstancesWithLoadBalancer.js.map