"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetLoadBalancerListenerSSLCertificateInput_1 = require("../shapes/SetLoadBalancerListenerSSLCertificateInput");
var SetLoadBalancerListenerSSLCertificateOutput_1 = require("../shapes/SetLoadBalancerListenerSSLCertificateOutput");
var CertificateNotFoundException_1 = require("../shapes/CertificateNotFoundException");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var ListenerNotFoundException_1 = require("../shapes/ListenerNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var UnsupportedProtocolException_1 = require("../shapes/UnsupportedProtocolException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetLoadBalancerListenerSSLCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetLoadBalancerListenerSSLCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetLoadBalancerListenerSSLCertificateInput_1.SetLoadBalancerListenerSSLCertificateInput
    },
    output: {
        shape: SetLoadBalancerListenerSSLCertificateOutput_1.SetLoadBalancerListenerSSLCertificateOutput,
        resultWrapper: "SetLoadBalancerListenerSSLCertificateResult"
    },
    errors: [
        {
            shape: CertificateNotFoundException_1.CertificateNotFoundException
        },
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: ListenerNotFoundException_1.ListenerNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: UnsupportedProtocolException_1.UnsupportedProtocolException
        }
    ]
};
//# sourceMappingURL=SetLoadBalancerListenerSSLCertificate.js.map