"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetLoadBalancerPoliciesForBackendServerInput_1 = require("../shapes/SetLoadBalancerPoliciesForBackendServerInput");
var SetLoadBalancerPoliciesForBackendServerOutput_1 = require("../shapes/SetLoadBalancerPoliciesForBackendServerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var PolicyNotFoundException_1 = require("../shapes/PolicyNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetLoadBalancerPoliciesForBackendServer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetLoadBalancerPoliciesForBackendServer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetLoadBalancerPoliciesForBackendServerInput_1.SetLoadBalancerPoliciesForBackendServerInput
    },
    output: {
        shape: SetLoadBalancerPoliciesForBackendServerOutput_1.SetLoadBalancerPoliciesForBackendServerOutput,
        resultWrapper: "SetLoadBalancerPoliciesForBackendServerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: PolicyNotFoundException_1.PolicyNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=SetLoadBalancerPoliciesForBackendServer.js.map