"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetLoadBalancerPoliciesOfListenerInput_1 = require("../shapes/SetLoadBalancerPoliciesOfListenerInput");
var SetLoadBalancerPoliciesOfListenerOutput_1 = require("../shapes/SetLoadBalancerPoliciesOfListenerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var PolicyNotFoundException_1 = require("../shapes/PolicyNotFoundException");
var ListenerNotFoundException_1 = require("../shapes/ListenerNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetLoadBalancerPoliciesOfListener = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetLoadBalancerPoliciesOfListener",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetLoadBalancerPoliciesOfListenerInput_1.SetLoadBalancerPoliciesOfListenerInput
    },
    output: {
        shape: SetLoadBalancerPoliciesOfListenerOutput_1.SetLoadBalancerPoliciesOfListenerOutput,
        resultWrapper: "SetLoadBalancerPoliciesOfListenerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: PolicyNotFoundException_1.PolicyNotFoundException
        },
        {
            shape: ListenerNotFoundException_1.ListenerNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=SetLoadBalancerPoliciesOfListener.js.map