"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._HealthCheck = {
    type: "structure",
    required: [
        "Target",
        "Interval",
        "Timeout",
        "UnhealthyThreshold",
        "HealthyThreshold"
    ],
    members: {
        Target: {
            shape: {
                type: "string"
            }
        },
        Interval: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        Timeout: {
            shape: {
                type: "integer",
                min: 2
            }
        },
        UnhealthyThreshold: {
            shape: {
                type: "integer",
                min: 2
            }
        },
        HealthyThreshold: {
            shape: {
                type: "integer",
                min: 2
            }
        }
    }
};
//# sourceMappingURL=_HealthCheck.js.map