"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListenerDescriptions_1 = require("./_ListenerDescriptions");
var _Policies_1 = require("./_Policies");
var _BackendServerDescriptions_1 = require("./_BackendServerDescriptions");
var _AvailabilityZones_1 = require("./_AvailabilityZones");
var _Subnets_1 = require("./_Subnets");
var _Instances_1 = require("./_Instances");
var _HealthCheck_1 = require("./_HealthCheck");
var _SourceSecurityGroup_1 = require("./_SourceSecurityGroup");
var _SecurityGroups_1 = require("./_SecurityGroups");
exports._LoadBalancerDescription = {
    type: "structure",
    required: [],
    members: {
        LoadBalancerName: {
            shape: {
                type: "string"
            }
        },
        DNSName: {
            shape: {
                type: "string"
            }
        },
        CanonicalHostedZoneName: {
            shape: {
                type: "string"
            }
        },
        CanonicalHostedZoneNameID: {
            shape: {
                type: "string"
            }
        },
        ListenerDescriptions: {
            shape: _ListenerDescriptions_1._ListenerDescriptions
        },
        Policies: {
            shape: _Policies_1._Policies
        },
        BackendServerDescriptions: {
            shape: _BackendServerDescriptions_1._BackendServerDescriptions
        },
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        Subnets: {
            shape: _Subnets_1._Subnets
        },
        VPCId: {
            shape: {
                type: "string"
            }
        },
        Instances: {
            shape: _Instances_1._Instances
        },
        HealthCheck: {
            shape: _HealthCheck_1._HealthCheck
        },
        SourceSecurityGroup: {
            shape: _SourceSecurityGroup_1._SourceSecurityGroup
        },
        SecurityGroups: {
            shape: _SecurityGroups_1._SecurityGroups
        },
        CreatedTime: {
            shape: {
                type: "timestamp"
            }
        },
        Scheme: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_LoadBalancerDescription.js.map