"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AttachLoadBalancerToSubnets_1 = require("../model/operations/AttachLoadBalancerToSubnets");
var AttachLoadBalancerToSubnetsCommand = /** @class */ (function () {
    function AttachLoadBalancerToSubnetsCommand(input) {
        this.input = input;
        this.model = AttachLoadBalancerToSubnets_1.AttachLoadBalancerToSubnets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AttachLoadBalancerToSubnetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AttachLoadBalancerToSubnetsCommand;
}());
exports.AttachLoadBalancerToSubnetsCommand = AttachLoadBalancerToSubnetsCommand;
//# sourceMappingURL=AttachLoadBalancerToSubnetsCommand.js.map