"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateAppCookieStickinessPolicy_1 = require("../model/operations/CreateAppCookieStickinessPolicy");
var CreateAppCookieStickinessPolicyCommand = /** @class */ (function () {
    function CreateAppCookieStickinessPolicyCommand(input) {
        this.input = input;
        this.model = CreateAppCookieStickinessPolicy_1.CreateAppCookieStickinessPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateAppCookieStickinessPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateAppCookieStickinessPolicyCommand;
}());
exports.CreateAppCookieStickinessPolicyCommand = CreateAppCookieStickinessPolicyCommand;
//# sourceMappingURL=CreateAppCookieStickinessPolicyCommand.js.map