"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLBCookieStickinessPolicy_1 = require("../model/operations/CreateLBCookieStickinessPolicy");
var CreateLBCookieStickinessPolicyCommand = /** @class */ (function () {
    function CreateLBCookieStickinessPolicyCommand(input) {
        this.input = input;
        this.model = CreateLBCookieStickinessPolicy_1.CreateLBCookieStickinessPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLBCookieStickinessPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLBCookieStickinessPolicyCommand;
}());
exports.CreateLBCookieStickinessPolicyCommand = CreateLBCookieStickinessPolicyCommand;
//# sourceMappingURL=CreateLBCookieStickinessPolicyCommand.js.map