"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLoadBalancerListeners_1 = require("../model/operations/DeleteLoadBalancerListeners");
var DeleteLoadBalancerListenersCommand = /** @class */ (function () {
    function DeleteLoadBalancerListenersCommand(input) {
        this.input = input;
        this.model = DeleteLoadBalancerListeners_1.DeleteLoadBalancerListeners;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLoadBalancerListenersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLoadBalancerListenersCommand;
}());
exports.DeleteLoadBalancerListenersCommand = DeleteLoadBalancerListenersCommand;
//# sourceMappingURL=DeleteLoadBalancerListenersCommand.js.map