/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLoadBalancerPolicyTypesInput } from "../types/DescribeLoadBalancerPolicyTypesInput";
import { DescribeLoadBalancerPolicyTypesOutput } from "../types/DescribeLoadBalancerPolicyTypesOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DescribeLoadBalancerPolicyTypesInput";
export * from "../types/DescribeLoadBalancerPolicyTypesOutput";
export * from "../types/DescribeLoadBalancerPolicyTypesExceptionsUnion";
export declare class DescribeLoadBalancerPolicyTypesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLoadBalancerPolicyTypesInput, OutputTypesUnion, DescribeLoadBalancerPolicyTypesOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLoadBalancerPolicyTypesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLoadBalancerPolicyTypesInput, DescribeLoadBalancerPolicyTypesOutput, _stream.Readable>;
    constructor(input: DescribeLoadBalancerPolicyTypesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DescribeLoadBalancerPolicyTypesInput, DescribeLoadBalancerPolicyTypesOutput>;
}
