"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetLoadBalancerListenerSSLCertificate_1 = require("../model/operations/SetLoadBalancerListenerSSLCertificate");
var SetLoadBalancerListenerSSLCertificateCommand = /** @class */ (function () {
    function SetLoadBalancerListenerSSLCertificateCommand(input) {
        this.input = input;
        this.model = SetLoadBalancerListenerSSLCertificate_1.SetLoadBalancerListenerSSLCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetLoadBalancerListenerSSLCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetLoadBalancerListenerSSLCertificateCommand;
}());
exports.SetLoadBalancerListenerSSLCertificateCommand = SetLoadBalancerListenerSSLCertificateCommand;
//# sourceMappingURL=SetLoadBalancerListenerSSLCertificateCommand.js.map