/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetLoadBalancerPoliciesOfListenerInput } from "../types/SetLoadBalancerPoliciesOfListenerInput";
import { SetLoadBalancerPoliciesOfListenerOutput } from "../types/SetLoadBalancerPoliciesOfListenerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/SetLoadBalancerPoliciesOfListenerInput";
export * from "../types/SetLoadBalancerPoliciesOfListenerOutput";
export * from "../types/SetLoadBalancerPoliciesOfListenerExceptionsUnion";
export declare class SetLoadBalancerPoliciesOfListenerCommand implements __aws_sdk_types.Command<InputTypesUnion, SetLoadBalancerPoliciesOfListenerInput, OutputTypesUnion, SetLoadBalancerPoliciesOfListenerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: SetLoadBalancerPoliciesOfListenerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetLoadBalancerPoliciesOfListenerInput, SetLoadBalancerPoliciesOfListenerOutput, _stream.Readable>;
    constructor(input: SetLoadBalancerPoliciesOfListenerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<SetLoadBalancerPoliciesOfListenerInput, SetLoadBalancerPoliciesOfListenerOutput>;
}
