"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigureHealthCheckInput_1 = require("../shapes/ConfigureHealthCheckInput");
var ConfigureHealthCheckOutput_1 = require("../shapes/ConfigureHealthCheckOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ConfigureHealthCheck = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ConfigureHealthCheck",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ConfigureHealthCheckInput_1.ConfigureHealthCheckInput
    },
    output: {
        shape: ConfigureHealthCheckOutput_1.ConfigureHealthCheckOutput,
        resultWrapper: "ConfigureHealthCheckResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        }
    ]
};
//# sourceMappingURL=ConfigureHealthCheck.js.map