"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterInstancesFromLoadBalancerInput_1 = require("../shapes/DeregisterInstancesFromLoadBalancerInput");
var DeregisterInstancesFromLoadBalancerOutput_1 = require("../shapes/DeregisterInstancesFromLoadBalancerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var InvalidEndPointException_1 = require("../shapes/InvalidEndPointException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterInstancesFromLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterInstancesFromLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterInstancesFromLoadBalancerInput_1.DeregisterInstancesFromLoadBalancerInput
    },
    output: {
        shape: DeregisterInstancesFromLoadBalancerOutput_1.DeregisterInstancesFromLoadBalancerOutput,
        resultWrapper: "DeregisterInstancesFromLoadBalancerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidEndPointException_1.InvalidEndPointException
        }
    ]
};
//# sourceMappingURL=DeregisterInstancesFromLoadBalancer.js.map