"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableAvailabilityZonesForLoadBalancerInput_1 = require("../shapes/EnableAvailabilityZonesForLoadBalancerInput");
var EnableAvailabilityZonesForLoadBalancerOutput_1 = require("../shapes/EnableAvailabilityZonesForLoadBalancerOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.EnableAvailabilityZonesForLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableAvailabilityZonesForLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableAvailabilityZonesForLoadBalancerInput_1.EnableAvailabilityZonesForLoadBalancerInput
    },
    output: {
        shape: EnableAvailabilityZonesForLoadBalancerOutput_1.EnableAvailabilityZonesForLoadBalancerOutput,
        resultWrapper: "EnableAvailabilityZonesForLoadBalancerResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        }
    ]
};
//# sourceMappingURL=EnableAvailabilityZonesForLoadBalancer.js.map