"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsInput_1 = require("../shapes/RemoveTagsInput");
var RemoveTagsOutput_1 = require("../shapes/RemoveTagsOutput");
var AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsInput_1.RemoveTagsInput
    },
    output: {
        shape: RemoveTagsOutput_1.RemoveTagsOutput,
        resultWrapper: "RemoveTagsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        }
    ]
};
//# sourceMappingURL=RemoveTags.js.map