"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Listener = {
    type: "structure",
    required: ["Protocol", "LoadBalancerPort", "InstancePort"],
    members: {
        Protocol: {
            shape: {
                type: "string"
            }
        },
        LoadBalancerPort: {
            shape: {
                type: "integer"
            }
        },
        InstanceProtocol: {
            shape: {
                type: "string"
            }
        },
        InstancePort: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        SSLCertificateId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Listener.js.map